Bug 996202 - Review Request: nodejs-mongodb - A nodejs driver for MongoDB
Review Request: nodejs-mongodb - A nodejs driver for MongoDB
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 12:12 EDT by Troy Dawson
Modified: 2014-01-17 23:27 EST (History)
3 users (show)

See Also:
Fixed In Version: nodejs-mongodb-1.3.19-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 23:27:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-08-12 12:12:24 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-mongodb.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-mongodb-1.3.17-1.fc20.src.rpm
Description: This is a node driver for MongoDB. It's a port (or close to a port) of the library for ruby
Fedora Account System Username: tdawson
Comment 1 Marek Mahut 2013-10-03 08:38:09 EDT
Package review list, including only relevant items.


[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. 
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces:
     nodejs-mongodb.noarch: W: only-non-binary-in-usr-lib

Note: there has been a new release this month, version 1.3.19.
Comment 2 Marek Mahut 2013-10-03 08:38:54 EDT
Troy, please update the package to the latest version at least in rawhide. Otherwise this package looks good to me, approved.
Comment 3 Troy Dawson 2013-10-03 16:20:29 EDT
New Package SCM Request
=======================
Package Name: nodejs-mongodb
Short Description: A nodejs driver for MongoDB
Owners: tdawson
Branches: f18 f19 f20 el6
InitialCC:
Comment 4 Gwyn Ciesla 2013-10-04 08:21:41 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-10-04 18:22:40 EDT
nodejs-mongodb-1.3.19-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-mongodb-1.3.19-1.fc19
Comment 6 Fedora Update System 2013-10-05 21:36:41 EDT
nodejs-mongodb-1.3.19-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2014-01-08 19:01:09 EST
nodejs-mongodb-1.3.19-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-mongodb-1.3.19-2.fc19
Comment 8 Fedora Update System 2014-01-17 23:27:54 EST
nodejs-mongodb-1.3.19-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.